#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './generalsettings.ui'
**
** Created: Fri Jul 28 04:08:12 2006
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.6   edited Aug 31 2005 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "generalsettings.h"

#include <qvariant.h>
#include <qcheckbox.h>
#include <qlabel.h>
#include <qspinbox.h>
#include <qcombobox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a GeneralSettings as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
GeneralSettings::GeneralSettings( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "GeneralSettings" );
    setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)5, 0, 0, sizePolicy().hasHeightForWidth() ) );
    GeneralSettingsLayout = new QGridLayout( this, 1, 1, 11, 6, "GeneralSettingsLayout"); 

    kcfg_HasResultTimeout = new QCheckBox( this, "kcfg_HasResultTimeout" );

    GeneralSettingsLayout->addWidget( kcfg_HasResultTimeout, 1, 0 );

    kcfg_ShowEmptyResult = new QCheckBox( this, "kcfg_ShowEmptyResult" );

    GeneralSettingsLayout->addWidget( kcfg_ShowEmptyResult, 0, 0 );

    layout1 = new QHBoxLayout( 0, 0, 6, "layout1"); 

    textLabel1_2 = new QLabel( this, "textLabel1_2" );
    textLabel1_2->setEnabled( FALSE );
    layout1->addWidget( textLabel1_2 );

    kcfg_ResultTimeout = new QSpinBox( this, "kcfg_ResultTimeout" );
    kcfg_ResultTimeout->setEnabled( FALSE );
    layout1->addWidget( kcfg_ResultTimeout );

    textLabel2 = new QLabel( this, "textLabel2" );
    textLabel2->setEnabled( FALSE );
    layout1->addWidget( textLabel2 );

    GeneralSettingsLayout->addLayout( layout1, 2, 0 );

    kcfg_ModifierKey = new QComboBox( FALSE, this, "kcfg_ModifierKey" );

    GeneralSettingsLayout->addWidget( kcfg_ModifierKey, 4, 0 );

    kcfg_NeedModifier = new QCheckBox( this, "kcfg_NeedModifier" );

    GeneralSettingsLayout->addWidget( kcfg_NeedModifier, 3, 0 );
    languageChange();
    resize( QSize(323, 162).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( kcfg_HasResultTimeout, SIGNAL( toggled(bool) ), kcfg_ResultTimeout, SLOT( setEnabled(bool) ) );
    connect( kcfg_HasResultTimeout, SIGNAL( toggled(bool) ), textLabel1_2, SLOT( setEnabled(bool) ) );
    connect( kcfg_HasResultTimeout, SIGNAL( toggled(bool) ), textLabel2, SLOT( setEnabled(bool) ) );
    connect( kcfg_NeedModifier, SIGNAL( toggled(bool) ), kcfg_ModifierKey, SLOT( setEnabled(bool) ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
GeneralSettings::~GeneralSettings()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void GeneralSettings::languageChange()
{
    kcfg_HasResultTimeout->setText( tr2i18n( "Set a timeout for Results Window" ) );
    kcfg_ShowEmptyResult->setText( tr2i18n( "Show empty results" ) );
    textLabel1_2->setText( tr2i18n( "Window should close after:" ) );
    textLabel2->setText( tr2i18n( "sec" ) );
    kcfg_ModifierKey->clear();
    kcfg_ModifierKey->insertItem( tr2i18n( "Shift" ) );
    kcfg_ModifierKey->insertItem( tr2i18n( "Control" ) );
    kcfg_ModifierKey->insertItem( tr2i18n( "Alt" ) );
    kcfg_ModifierKey->insertItem( tr2i18n( "Winkey" ) );
    kcfg_NeedModifier->setText( tr2i18n( "Needs a modifier key to translate a word" ) );
}

#include "generalsettings.moc"
