#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './dictionarydialogbase.ui'
**
** Created: Fri Jul 28 04:08:08 2006
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.6   edited Aug 31 2005 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "dictionarydialogbase.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <kurlrequester.h>
#include <qlabel.h>
#include <qcombobox.h>
#include <qlineedit.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "kurlrequester.h"
#include "klineedit.h"
#include "kpushbutton.h"

/*
 *  Constructs a DictionaryDialogBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
DictionaryDialogBase::DictionaryDialogBase( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "DictionaryDialogBase" );
    setSizeGripEnabled( TRUE );
    DictionaryDialogBaseLayout = new QGridLayout( this, 1, 1, 11, 6, "DictionaryDialogBaseLayout"); 

    Layout1 = new QHBoxLayout( 0, 0, 6, "Layout1"); 

    buttonHelp = new QPushButton( this, "buttonHelp" );
    buttonHelp->setAutoDefault( TRUE );
    Layout1->addWidget( buttonHelp );
    Horizontal_Spacing2 = new QSpacerItem( 20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    Layout1->addItem( Horizontal_Spacing2 );

    buttonOk = new QPushButton( this, "buttonOk" );
    buttonOk->setAutoDefault( TRUE );
    buttonOk->setDefault( TRUE );
    Layout1->addWidget( buttonOk );

    buttonCancel = new QPushButton( this, "buttonCancel" );
    buttonCancel->setAutoDefault( TRUE );
    Layout1->addWidget( buttonCancel );

    DictionaryDialogBaseLayout->addLayout( Layout1, 6, 0 );

    fileRequester = new KURLRequester( this, "fileRequester" );

    DictionaryDialogBaseLayout->addWidget( fileRequester, 3, 0 );

    textLabel2 = new QLabel( this, "textLabel2" );

    DictionaryDialogBaseLayout->addWidget( textLabel2, 4, 0 );

    pluginCombo = new QComboBox( FALSE, this, "pluginCombo" );

    DictionaryDialogBaseLayout->addWidget( pluginCombo, 5, 0 );

    textLabel1 = new QLabel( this, "textLabel1" );

    DictionaryDialogBaseLayout->addWidget( textLabel1, 2, 0 );

    textLabel3 = new QLabel( this, "textLabel3" );

    DictionaryDialogBaseLayout->addWidget( textLabel3, 0, 0 );

    nameEdit = new QLineEdit( this, "nameEdit" );

    DictionaryDialogBaseLayout->addWidget( nameEdit, 1, 0 );
    languageChange();
    resize( QSize(388, 211).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( buttonOk, SIGNAL( clicked() ), this, SLOT( accept() ) );
    connect( buttonCancel, SIGNAL( clicked() ), this, SLOT( reject() ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
DictionaryDialogBase::~DictionaryDialogBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void DictionaryDialogBase::languageChange()
{
    buttonHelp->setText( tr2i18n( "&Help" ) );
    buttonHelp->setAccel( QKeySequence( tr2i18n( "F1" ) ) );
    buttonOk->setText( tr2i18n( "&OK" ) );
    buttonOk->setAccel( QKeySequence( QString::null ) );
    buttonCancel->setText( tr2i18n( "&Cancel" ) );
    buttonCancel->setAccel( QKeySequence( QString::null ) );
    QToolTip::add( fileRequester, tr2i18n( "File of dictionary." ) );
    QWhatsThis::add( fileRequester, tr2i18n( "File that contains the headwords and definitions of dictionary." ) );
    textLabel2->setText( tr2i18n( "Plugin to use:" ) );
    pluginCombo->clear();
    pluginCombo->insertItem( tr2i18n( "Plain Text" ) );
    pluginCombo->insertItem( tr2i18n( "Dictd" ) );
    pluginCombo->insertItem( tr2i18n( "Babylon" ) );
    pluginCombo->insertItem( tr2i18n( "StarDict" ) );
    pluginCombo->insertItem( tr2i18n( "Sdictionary" ) );
    QToolTip::add( pluginCombo, tr2i18n( "Plugin to use to load the dictionary file" ) );
    QWhatsThis::add( pluginCombo, tr2i18n( "This is the plugin that will be used to load the headwords in dictionary file." ) );
    textLabel1->setText( tr2i18n( "Dictionary file:" ) );
    textLabel3->setText( tr2i18n( "Dictionary name:" ) );
    QToolTip::add( nameEdit, tr2i18n( "Name of Dictionary given by the user" ) );
    QWhatsThis::add( nameEdit, tr2i18n( "This is the name of dictionary given by the user. You can give any name here." ) );
}

#include "dictionarydialogbase.moc"
